openSUSE 10 Security Update : mysql (mysql-4375)

Medium Nessus Plugin ID 27359


The remote openSUSE host is missing a security update.


This update provides fixes for :

- CVE-2007-3780: remote triggerable crash

- CVE-2007-3781: query tables without propper authorisation

- CVE-2007-3782: gain update privileges without propper authorisation


Update the affected mysql packages.

Plugin Details

Severity: Medium

ID: 27359

File Name: suse_mysql-4375.nasl

Version: $Revision: 1.10 $

Type: local

Agent: unix

Published: 2007/10/17

Modified: 2016/12/22

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:mysql, p-cpe:/a:novell:opensuse:mysql-Max, p-cpe:/a:novell:opensuse:mysql-bench, p-cpe:/a:novell:opensuse:mysql-client, p-cpe:/a:novell:opensuse:mysql-debug, p-cpe:/a:novell:opensuse:mysql-devel, p-cpe:/a:novell:opensuse:mysql-shared, p-cpe:/a:novell:opensuse:mysql-shared-32bit, cpe:/o:novell:opensuse:10.1, cpe:/o:novell:opensuse:10.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2007/09/19

Reference Information

CVE: CVE-2007-3780, CVE-2007-3781, CVE-2007-3782

CWE: 20, 264